#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetMotorServo.h>
#include <SetWaitForTime.h>
#include <SetInBeep.h>
#include <SetMotorServo128.h>
#include <GetSysTime.h>
#include <GetMotorCode.h>
#include <SetMotorCode.h>
#include <SetDisplayVar.h>
#include <SetLCDBack.h>
#include<SetMotor.h>
#include<GetLeftButton.h>
#include<GetRightButton.h>

extern vu8 g_MotorDir1,g_MotorDir2,g_MotorDir3,g_MotorDir4; 				//记录当前马达方向//新排列方式
extern vu8 g_MotorMode1,g_MotorMode2,g_MotorMode3,g_MotorMode4;		//记录马达模式
extern vs32 g_TargetPulse1,g_TargetPulse2,g_TargetPulse3,g_TargetPulse4;	//移动目标脉冲
extern vu8 g_ServoSpeed1,g_ServoSpeed2,g_ServoSpeed3,g_ServoSpeed4;	//保存伺服速度
extern u8 g_ExtiMCMode;

extern vs32 MotorCodeCnt1;
extern vs32 MotorCodeCnt2;
extern vs32 MotorCodeCnt3;
extern vs32 MotorCodeCnt4;

vs32 mc1,mc2;

int main(void)
{
    MRCU_Init();
    long var0 = 0;
    SetMotorServo(_M1_, 50, 270);
    SetWaitForTime(1);
    SetInBeep(ON);
    SetMotorServo(_M1_, -50, 270);
    SetWaitForTime(1);
    SetInBeep(OFF);
    while(1);
}

